%define upstream_name    YAML-Perl
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Base Class of all YAML Components
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(inc::Module::Install)
BuildArch: noarch

%description
PyYAML is the most robust and correct YAML module for a dynamic language.
It is (obviously) written in/for Python. This module is a complete port of
PyYAML to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1507061
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1287474
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1167469
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1158338
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1036182
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 931377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 750486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686991
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 516253
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 375311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 52267
- imported package perl-YAML-Perl


* Wed Feb 16 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
